Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class Statement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement

    public class Statement
    extends ASTNode

Base class for any statement

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`Statement()`

Method Summary
`java.lang.String` | `getStatementLabel()`
`boolean` | `isEmpty()`
`void` | `setStatementLabel(java.lang.String label)`

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Statement

    public Statement()

Method Detail

### getStatementLabel

    public java.lang.String getStatementLabel()

### isEmpty

    public boolean isEmpty()

### setStatementLabel

    public void setStatementLabel(java.lang.String label)

Groovy Documentation